Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.pages
Class Param

    java.lang.Object
      org.jboss.seam.pages.Param

    public final class Param

extends Object

Constructor Summary
`Param(String name)`

Method Summary
`javax.faces.convert.Converter` | `getConverter()`
`String` | `getConverterId()`
`Expressions.ValueBinding` | `getConverterValueBinding()`
`String` | `getName()`
`Expressions.ValueBinding` | `getValueBinding()`
`Object` | `getValueFromModel(javax.faces.context.FacesContext facesContext)` Get the current value of a page or redirection parameter from the model, and convert to a String
`Object` | `getValueFromRequest(javax.faces.context.FacesContext facesContext, Map<String,String[]> requestParameters)` Get the current value of a page parameter from the request parameters
`void` | `setConverterId(String converterId)`
`void` | `setConverterValueBinding(Expressions.ValueBinding converterValueBinding)`
`void` | `setValueBinding(Expressions.ValueBinding valueBinding)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Param

    public Param(String name)

Method Detail

### getConverter

    public javax.faces.convert.Converter getConverter()

### getName

    public String getName()

### setValueBinding

    public void setValueBinding(Expressions.ValueBinding valueBinding)

### getValueBinding

    public Expressions.ValueBinding getValueBinding()

### setConverterValueBinding

    public void setConverterValueBinding(Expressions.ValueBinding converterValueBinding)

### getConverterValueBinding

    public Expressions.ValueBinding getConverterValueBinding()

### setConverterId

    public void setConverterId(String converterId)

### getConverterId

    public String getConverterId()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getValueFromModel

    public Object getValueFromModel(javax.faces.context.FacesContext facesContext)

  Get the current value of a page or redirection parameter from the model, and convert to a String

### getValueFromRequest

    public Object getValueFromRequest(javax.faces.context.FacesContext facesContext,
                                      Map<String,String[]> requestParameters)

  Get the current value of a page parameter from the request parameters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD